#  Sed script to adapt ./Makefile to create documentations.


/^PATH_SEPARATOR[ 	]*=/ s/:$/;/

/^install-am:/ s/$/ install-info/
/^\.SUFFIXES[ 	]*:[ 	]*\./ {
  s/$/ .dvi .html .info .pdf .ps .texi/
a\
docs: $(INFO_DEPS) $(DVIS) $(PDFS) $(PSS) $(HTMLS)\
\
marst.info: $(srcdir)/doc/marst.texi\
	restore=: && backupdir="$(am__leading_dot)am$$$$" && \\\
	am__cwd=`pwd` && cd $(srcdir) && \\\
	rm -rf $$backupdir && mkdir $$backupdir && \\\
	if ($(MAKEINFO) --version) >/dev/null 2>&1; then \\\
	  for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \\\
	    if test -f $$f; then mv $$f $$backupdir; restore=mv; else :; fi; \\\
	  done; \\\
	else :; fi && \\\
	cd "$$am__cwd"; \\\
	if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \\\
	 -o $@ $<; \\\
	then \\\
	  rc=0; \\\
	  cd $(srcdir); \\\
	else \\\
	  rc=$$?; \\\
	  cd $(srcdir) && \\\
	  $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \\\
	fi; \\\
	rm -rf $$backupdir; exit $$rc\
\
marst.dvi: $(srcdir)/doc/marst.texi\
	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \\\
	MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \\\
	$(TEXI2DVI) $<\
\
marst.pdf: $(srcdir)/doc/marst.texi\
	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \\\
	MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \\\
	$(TEXI2PDF) $<\
\
marst.html: $(srcdir)/doc/marst.texi\
	rm -rf $(@:.html=.htp)\
	if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \\\
	 -o $(@:.html=.htp) $<; \\\
	then \\\
	  rm -rf $@; \\\
	  if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \\\
	    mv $(@:.html=) $@; else mv $(@:.html=.htp) $@; fi; \\\
	else \\\
	  if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \\\
	    rm -rf $(@:.html=); else rm -Rf $(@:.html=.htp) $@; fi; \\\
	  exit 1; \\\
	fi\
marst.ps: marst.dvi\
	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \\\
	$(DVIPS) -o $@ $<\

}

/^pdf-am:$/ s/$/ $(PDFS)/
/^ps-am:$/ s/$/ $(PSS)/
/^dvi-am:$/ s/$/ $(DVIS)/
/^html-am:$/ s/$/ $(HTMLS)/
/^info-am:$/ s/$/ $(INFO_DEPS)/

/^install-pdf-am:$/ {
  s/$/ $(PDFS)/
  a\
	@$(NORMAL_INSTALL)\
	test -z "$(pdfdir)" || $(MKDIR_P) "$(DESTDIR)$(pdfdir)"\
	@list='$(PDFS)'; for p in $$list; do \\\
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \\\
	  f=$(am__strip_dir) \\\
	  echo " $(INSTALL_DATA) '$$d$$p' '$(DESTDIR)$(pdfdir)/$$f'"; \\\
	  $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$(pdfdir)/$$f"; \\\
	done
}
/^install-ps-am:$/ {
  s/$/ $(PSS)/
  a\
	@$(NORMAL_INSTALL)\
	test -z "$(psdir)" || $(MKDIR_P) "$(DESTDIR)$(psdir)"\
	@list='$(PSS)'; for p in $$list; do \\\
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \\\
	  f=$(am__strip_dir) \\\
	  echo " $(INSTALL_DATA) '$$d$$p' '$(DESTDIR)$(psdir)/$$f'"; \\\
	  $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$(psdir)/$$f"; \\\
	done
}
/^install-dvi-am:$/ {
  s/$/ $(DVIS)/
  a\
	@$(NORMAL_INSTALL)\
	test -z "$(dvidir)" || $(MKDIR_P) "$(DESTDIR)$(dvidir)"\
	@list='$(DVIS)'; for p in $$list; do \\\
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \\\
	  f=$(am__strip_dir) \\\
	  echo " $(INSTALL_DATA) '$$d$$p' '$(DESTDIR)$(dvidir)/$$f'"; \\\
	  $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$(dvidir)/$$f"; \\\
	done
}
/^install-html-am:$/ {
  s/$/ $(HTMLS)/
  a\
	@$(NORMAL_INSTALL)\
	test -z "$(htmldir)" || $(MKDIR_P) "$(DESTDIR)$(htmldir)"\
	@list='$(HTMLS)'; for p in $$list; do \\\
	  if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \\\
	  f=$(am__strip_dir) \\\
	  if test -d "$$d$$p"; then \\\
	    echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \\\
	    $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \\\
	    echo " $(INSTALL_DATA) '$$d$$p'/* '$(DESTDIR)$(htmldir)/$$f'"; \\\
	    $(INSTALL_DATA) "$$d$$p"/* "$(DESTDIR)$(htmldir)/$$f"; \\\
	  else \\\
	    echo " $(INSTALL_DATA) '$$d$$p' '$(DESTDIR)$(htmldir)/$$f'"; \\\
	    $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$(htmldir)/$$f"; \\\
	  fi; \\\
	done
}
/^install-info-am:$/ {
  s/$/ $(INFO_DEPS)/
  a\
	@$(NORMAL_INSTALL)\
	test -z "$(infodir)" || $(MKDIR_P) "$(DESTDIR)$(infodir)"\
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \\\
	list='$(INFO_DEPS)'; \\\
	for file in $$list; do \\\
	  case $$file in \\\
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \\\
	  esac; \\\
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \\\
	  file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \\\
	  for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \\\
                       $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \\\
	    if test -f $$ifile; then \\\
	      relfile=`echo "$$ifile" | sed 's|^.*/||'`; \\\
	      echo " $(INSTALL_DATA) '$$ifile' '$(DESTDIR)$(infodir)/$$relfile'"; \\\
	      $(INSTALL_DATA) "$$ifile" "$(DESTDIR)$(infodir)/$$relfile"; \\\
	    else : ; fi; \\\
	  done; \\\
	done\
	@$(POST_INSTALL)\
	@if (install-info --version && \\\
	     install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \\\
	  list='$(INFO_DEPS)'; \\\
	  for file in $$list; do \\\
	    relfile=`echo "$$file" | sed 's|^.*/||'`; \\\
	    echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\\\
	    install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\\\
	  done; \\\
	else : ; fi
}

/^MAKEINFO[ 	]*=/ a\
TEXI2DVI = texi2dvi\
TEXI2PDF = $(TEXI2DVI) --pdf --batch\
DVIPS = dvips\
MAKEINFOHTML = $(MAKEINFO) --html\
AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)\
am__TEXINFO_TEX_DIR = $(srcdir)\
TEXINFOS = marst.texi\
INFO_DEPS = marst.info\
DVIS = marst.dvi\
PDFS = marst.pdf\
PSS = marst.ps\
HTMLS = marst.html

